# $Revision: 1.18 $, $Date: 2012/01/15 19:43:21 $
# TODO
# - should use CXX/CC make options not CC for .cpp compile!
# - maybe bin/man1 should be moved to another package
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Verilog
%define	pnam	Perl
Summary:	Verilog::Perl - an Perl way to handle Verilog files
Summary(pl.UTF-8):	Verilog::Perl - perlowy sposób obsługi plików Verilog
Name:		perl-Verilog-Perl
Version:	3.313
Release:	1
License:	LGPL or Perl Artistic License
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Verilog/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	13fbacac8b79df4de9217227c39160ff
URL:		http://search.cpan.org/dist/Verilog-Perl/
BuildRequires:	flex
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Verilog::Parser, Verilog::Preproc, and other Perl modules useful for
manipulation of Verilog files. The Verilog::Parser package will
tokenize a Verilog file when the parse() method is called and invoke
various callback methods. This is useful for extracting information
and editing files while retaining all context. For netlist like
extractions, see Verilog::Netlist. Verilog::Preproc reads Verilog
files, and preprocesses them according to the Verilog 2001
specification. Programs can be easily converted from reading a
IO::File into reading preprocessed output from Verilog::Preproc.
Verilog::Netlist contains interconnect information about a whole
design database.

%description -l pl.UTF-8
Verilog::Parser, Verilog::Preproc i inne moduły Perla przydatne do
obróbki plików Verilog. Pakiet Verilog::Parser po wywołaniu metody
parse() zamienia plik Verilog na tokeny i wykonuje różne metody
wywołań zwrotnych. Jest to przydatne przy wyciąganiu informacji i
modyfikowaniu plików z zachowaniem całego kontekstu. Do wyciągania
informacji w stylu netlist można użyć Verilog::Netlist.
Verilog::Preproc czyta pliki Verilog i przetwarza je zgodnie ze
specyfikacją Verilog 2001. Można łatwo przekształcać programy z
odczytu za pomocą IO::File na czytanie przetworzonego wyjścia z
Verilog::Preproc. Verilog::Netlist zawiera dołączone informacje o
całej bazie projektu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cxx}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Verilog/Verilog-Perl.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Verilog/Language/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/*
%dir %{perl_vendorarch}/Verilog
%{perl_vendorarch}/Verilog/*.pm
%dir %{perl_vendorarch}/Verilog/Netlist
%{perl_vendorarch}/Verilog/Netlist/*.pm
%dir %{perl_vendorarch}/auto/Verilog
%dir %{perl_vendorarch}/auto/Verilog/Preproc
%{perl_vendorarch}/auto/Verilog/Preproc/Preproc.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Verilog/Preproc/Preproc.so
%dir %{perl_vendorarch}/auto/Verilog/Parser
%{perl_vendorarch}/auto/Verilog/Parser/Parser.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Verilog/Parser/Parser.so
%{_mandir}/man1/*
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Verilog-Perl.spec,v $
Revision 1.18  2012/01/15 19:43:21  zbyniu
- up to 3.313

Revision 1.17  2011/07/01 14:26:19  marti
- up to 3.307

Revision 1.16  2010/06/06 08:44:17  arekm
- release 2

Revision 1.15  2009/11/11 18:05:31  amateja
- updated to 3.221

Revision 1.14  2009/10/16 08:04:28  amateja
- updated to 3.220

Revision 1.13  2009/01/07 09:06:42  duddits
- up to 3.100; %install tune-ups

Revision 1.12  2008/03/25 21:37:42  qboosh
- sorted BRs

Revision 1.11  2008-02-19 12:40:13  agaran
- added BR flex

Revision 1.10  2008-02-10 12:23:14  arekm
- rel 2

Revision 1.9  2008-01-10 08:01:46  agaran
- rel 1, fixed files, builds if >1G of mem is available. (cc1plus eats to much)

Revision 1.8  2008-01-07 17:58:56  agaran
- up to 3.021, rel 0.1, compilation fails on cc1plus out of memory..

Revision 1.7  2007-12-29 01:04:40  glen
- missing dir, pass compiler; rel 2

Revision 1.6  2007-05-29 22:42:10  qboosh
- reverted to gpm-friendly version

Revision 1.5  2007/05/29 21:45:10  agaran
- up to 2.380, rel 1, builds here

Revision 1.4  2007/05/17 20:43:26  qboosh
- optflags, .so perms

Revision 1.3  2007/03/16 09:23:26  qboosh
- pl, generic URL

Revision 1.2  2007/03/05 12:08:37  agaran
- up to 2.372, rel 0.1

Revision 1.1  2007/03/05 12:01:51  agaran
- initial
